# $Revision: 1.8 $, $Date: 2006/01/22 10:14:22 $
Summary:	Building Interfaces the easy way
Summary(pl):	Tworzenie interfejsw w atwy sposb
Name:		gazpacho
Version:	0.6.4
Release:	2
License:	LGPL
Group:		Development/Building
Source0:	http://ftp.acc.umu.se/pub/GNOME/sources/gazpacho/0.6/%{name}-%{version}.tar.bz2
# Source0-md5:	2c7f482ead7f7fb304d92262f686a124
Patch0:		%{name}-desktop.patch
URL:		http://gazpacho.sicem.biz/
BuildRequires:	python-devel
Requires:	python-pygtk-gtk >= 1:2.6.0
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautocompressdoc	AUTHORS CONTRIBUTORS COPYING

%description
This program allows you to create the Graphical User Interface (GUI)
of your GTK+ program in a visual way. It started as a Glade-3 clone
but now it is more complete and featured than its ancestor. It tries
to be compatible with libglade but it can handle some widgets that
still lack support in libglade.

%description -l pl
Ten program pozwala tworzy graficzny interfejs uytkownika (GUI) dla
programw GTK+ w sposb wizualny. Z pocztku by klonem Glade-3, ale w
chwili obecnej jest bardziej zaawansowany od swojego przodka. Gazpacho
stara si by kompatybilnym z libglade, cho zawiera kilka kontrolek
wci nie wspieranych przez libglade.

%prep
%setup -q
%patch0 -p1

sed -i	-e "s/from gazpacho import application//" \
	-e "s/application.__version__/'%{version}'/" \
	setup.py

sed -i	-e "s@return self._variables\['docs_dir'\]\[0\]@return '/usr/share/doc/%{name}-%{version}/'@" gazpacho/environ.py

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{_pixmapsdir}}

python setup.py install \
	--optimize=2 \
	--root $RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir}/gazpacho -name '*.py' -exec rm -f {} \;

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name}

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install pixmaps/gazpacho-icon.png $RPM_BUILD_ROOT%{_pixmapsdir}/gazpacho.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%postun
if [ $1 = 0 ]; then
    umask 022
    [ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
# do not remove COPYING -- needed at runtime
%doc AUTHORS COPYING CONTRIBUTORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/gazpacho
%{py_sitescriptdir}/gazpacho
%{_desktopdir}/*
%{_examplesdir}/%{name}-%{version}
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gazpacho.spec,v $
Revision 1.8  2006/01/22 10:14:22  ankry
- desktop patch updated, rel. 2, STBR

Revision 1.7  2006/01/12 22:17:44  freetz
- 0.6.4

Revision 1.6  2006/01/06 22:09:28  freetz
- 0.6.3

Revision 1.5  2005/10/26 18:59:15  freetz
- one more typo

Revision 1.4  2005/10/26 18:56:13  freetz
- fixed postun script (sorry about that!), rel.3

Revision 1.3  2005/10/26 08:16:40  freetz
- don't run update-desktop-database twice

Revision 1.2  2005/10/26 08:13:23  freetz
- desktop patch added, place icon in generic location, remove unpackaged
  files, run update-desktop-database if found, rel.2

Revision 1.1  2005/09/08 15:43:19  wolf
- new
